﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;

namespace XamDataTreeMarker
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Person> coll = new List<Person>();
            coll.Add(new Person() { Name = "John" });
            coll.Add(new Person() { Name = "Jack" });
            coll.Add(new Person() { Name = "Jim" });
            xamDataTree1.ItemsSource = coll;
           
        }

        private void Window_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            foreach (var item in xamDataTree1.Nodes)
            {
                var tmp = Utilities.GetDescendantFromName(item.Control, "SelectedBorder");
                (tmp as Border).Width = xamDataTree1.ActualWidth - item.NodeLayout.IndentationResolved - 2;
                
            }
        }


        private void xamDataTree1_Loaded(object sender, RoutedEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {
                foreach (var item in xamDataTree1.Nodes)
                {
                    var tmp = Utilities.GetDescendantFromName(item.Control, "SelectedBorder");
                    (tmp as Border).Width = xamDataTree1.ActualWidth - item.NodeLayout.IndentationResolved - 2;
                }
            }), System.Windows.Threading.DispatcherPriority.Background, null);
        }

    }

    public class Person
    {
        public string Name { get; set; }
    }
}
